Subject: bug#32002: 24.4; Scroll bar start, end not correct

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Jul 2018 07:59:50 +0300

On July 4, 2018 6:45:41 AM GMT+03:00, Andrew Kurn <[email-masked]> wrote:
> On Tue  3 Jul 2018 22:00 -0400, Noam Postavsky wrote:
> > 
> > Andrew Kurn <[email-masked]> writes:
> > 
> > > Just to be clear:  You guys can't reproduce the bug?
> > 
> > Here's a screenshot of my gtk build, the scrollbar looks the right
> size
> > to me.
> > 
> 
> 
> Aha!  In this we disagree.  I wonder if the others share your
> opinion.
> 
> Anyhow, my contention is that, since the whole buffer is on display,
> the scroll bar should extend over the whole window.  The length of the
> scroll bar, as a fraction of the window height, is supposed to be the
> fraction of the buffer on display.  Its top is the character (line,
> usually) where the display starts.  Its bottom is where it stops.
> 
> Do you see what I'm talking about?  --  even if you don't agree.
> 
> Andrew

I think we support both those who share this opinion and
those who don't.  It sounds like you want to set
scroll-bar-adjust-thumb-portion to nil.